{% extends 'base.html' %}

{% block content %}
        <h2 style="padding-top:10px ;">Sign up</h2>
        {% if user.is_authenticated %}
        <p>You are already logged in<br>
            You need to log out first</p>
            <button class="btn btn-danger"><a id="logout" href="{% url 'logout' %}">logout</a></button>
        {% else %}
            <form method="post">
                {% csrf_token %}
                <div class="form-group">
                    <label for="id_username">Username:</label>
                    {{ form.username }}
                    <br>
                    <label for="id_password1">Enter password:</label>
                    {{ form.password1 }}
                    <br>
                    <label for="id_password2">Re-enter password:</label>
                    {{ form.password2 }}
                    <br>
                    <label for="id_email">Email:</label>
                    {{ form.email }}
                    <br>
                    <button id="submit" class="btn btn-primary" type="submit">Sign up</button>
                </div>
            </form>
        {% endif %}
{% endblock %}